---
title: "Gets specific Order Fulfilment"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-orderfulfilments-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets specific Order Fulfilment

`GET` `/orderfulfilments/{id}`

Operation ID: `get-orderfulfilments-id`

Gets specific Order Fulfilment

## Path parameters

- `id` (integer, int32, required) - Fulfilment id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Order Fulfilment
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Order Fulfilment not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /orderfulfilments/{id}:
    get:
      tags:
        - orderfulfilments
      summary: Gets specific Order Fulfilment
      description: Gets specific Order Fulfilment
      operationId: get-orderfulfilments-id
      parameters:
        - name: id
          in: path
          description: Fulfilment id
          required: true
          schema:
            type: integer
            description: Fulfilment id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Order Fulfilment
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ExtendedFulfilment"
              example:
                id: 0
                order_item_id: 0
                quantity_fulfiled: 0
                fulfil_outlet:
                  id: 0
                  name: string
                  modified_on: string
                created_on: string
                serial_number: string
                order_id: 0
                order_number: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Order Fulfilment not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ExtendedFulfilment:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Fulfilment id
          format: int32
        order_item_id:
          type: integer
          description: Order Item Id
          format: int32
        quantity_fulfiled:
          type: integer
          description: Fulfiled quantity of products
          format: int32
        fulfil_outlet:
          $ref: "#/components/schemas/OutletExtended"
        created_on:
          type: string
          description: Created On
          format: date-time
        serial_number:
          type: string
          description: Serial Number
          nullable: true
        order_id:
          type: integer
          description: Order Id .
          format: int32
          nullable: true
        order_number:
          type: string
          description: Order Number.
          nullable: true
      additionalProperties: false
      description: Fulfilment model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    OutletExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
```
